/*
  File:			icm.h
  Contains:		Header File for the icm C Files
  Written by:	DTS and QT Engineering
  Copyright:	 1992-1994 by Apple Computer, Inc., all rights reserved.
  Change History (most recent first):
  <1>	 	12/4/94	khs		changed the format of the file to the new look and feel
  To Do:
*/


// HEADER FILES
#include <QuickDraw.h>
#include <Windows.h>
#include <Memory.h>
#include <Resources.h>
#include <OSUtils.h>
#include <Files.h>
#include <StandardFile.h>
#include <ImageCompression.h>
#include <Fonts.h>
#include <Menus.h>
#include <Errors.h>
#include <Packages.h>
#include <TextUtils.h>
#include <SegLoad.h>


// FUNCTION PROTOTYPES
void MakeMyResource(StandardFileReply fileReply,
					ImageDescriptionHandle description);
void SequenceSave(void);
void CheckError(OSErr error,
				Str255 displayString);
void DrawFrame(const Rect* imageRect,
			   long frameNum);
void CompressSequence(short* dfRef,
					  ImageDescriptionHandle* description);
void MakeMyResource(StandardFileReply fileReply,
					ImageDescriptionHandle description);
void SequenceSave(void);
void SequencePlay(void);
PicHandle GetQTCompressedPict(CGrafPtr port);
